Summary:	RandR extension headers
Summary(pl.UTF-8):	Nagłówki rozrzerzenia RandR
Name:		xorg-proto-randrproto
Version:	1.4.0
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/randrproto-%{version}.tar.bz2
# Source0-md5:	ce4d0b05675968e4c83e003cc809660d
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RandR extension headers.

The X Resize, Rotate and Reflect Extension, called RandR for short,
brings the ability to resize, rotate and reflect the root window of a
screen. It is based on the X Resize and Rotate Extension as specified
in the Proceedings of the 2001 Usenix Technical Conference [RANDR].

%description -l pl.UTF-8
Nagłówki rozszerzenia RandR.

Rozszerzenie X Resize, Rotate and Reflect (w skrócie RandR) daje
możliwość zmiany rozmiaru, obrotu i odbicia głównego okna ekranu. Jest
oparte na rozszerzeniu X Resize and Rotate opisanym w protokołach
konferencji 2001 Usenix Technical Conference [RANDR].

%package devel
Summary:	RandR extension headers
Summary(pl.UTF-8):	Nagłówki rozrzerzenia RandR
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel
Obsoletes:	randrext

%description devel
RandR extension headers.

The X Resize, Rotate and Reflect Extension, called RandR for short,
brings the ability to resize, rotate and reflect the root window of a
screen. It is based on the X Resize and Rotate Extension as specified
in the Proceedings of the 2001 Usenix Technical Conference [RANDR].

%description devel -l pl.UTF-8
Nagłówki rozszerzenia RandR.

Rozszerzenie X Resize, Rotate and Reflect (w skrócie RandR) daje
możliwość zmiany rozmiaru, obrotu i odbicia głównego okna ekranu. Jest
oparte na rozszerzeniu X Resize and Rotate opisanym w protokołach
konferencji 2001 Usenix Technical Conference [RANDR].

%prep
%setup -q -n randrproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README randrproto.txt
%{_includedir}/X11/extensions/randr*.h
%{_pkgconfigdir}/randrproto.pc
%changelog
* Thu Jul 12 2012 Jakub Bogusz <qboosh@pld-linux.org> be4b0f7
- updated to 1.4.0

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 76b8f49
- dropped pre-cvs changelog

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 95517eb
- updated to 1.3.2

* Tue Oct 06 2009 Jakub Bogusz <qboosh@pld-linux.org> 95daf30
- util-macros version

* Tue Oct 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 87b557a
- up to 1.3.1

* Fri Mar 06 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 55746a9
- up to 1.3.0

* Wed Feb 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 670ade0
- up to 1.2.99.4

* Fri Dec 12 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2a952f9
- up to 1.2.99.3

* Mon Dec 01 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ac67f56
- up to 1.2.99.1

* Wed Jul 09 2008 Jakub Bogusz <qboosh@pld-linux.org> c09df76
- added ChangeLog to doc

* Wed Jul 02 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> ae08196
- up to 1.2.2

* Mon Feb 19 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> f64f11a
- up to 1.2.1

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ea65ce0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e36af19
- converted to UTF-8

* Tue Nov 28 2006 Jakub Bogusz <qboosh@pld-linux.org> ca5e3f2
- fixed summaries, real descriptions, added randrproto.txt to doc

* Tue Nov 28 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ba0740
- up to 1.2.0

* Sat Mar 18 2006 Artur Frysiak <artur@frysiak.net> 1b8c4bb
- switched to "individual" source

* Fri Feb 03 2006 Paweł Sikora <pluto@pld-linux.org> 15b50b7
- release 1.

* Thu Dec 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 39407a1
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 9bc0322
- 1.1.2 (X11R7.0-RC4)

